#include<iostream>
using namespace std;
int main()
{
	int n, i, l, br=1;
	cin >> n >> l;
	int a[n];
	for(i=0; i<n; i++)
	cin >> a[i];
	for(i=0; i<n; i++)
	{
		if(a[i]>l)
		br++;
		else if(a[i]<=l)
		break;
	}
	if(br>n)
	cout << "-1";
	else
	cout << br;
}